Bug 199381 - [security/tor] [PATCH] Make tor able to work with ipfw(8)
Summary: [security/tor] [PATCH] Make tor able to work with ipfw(8)
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-04-11 23:12 UTC by Yuri Victorovich
Modified: 2015-05-04 19:25 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bf)


Attachments
patch (2.10 KB, patch)
2015-04-11 23:12 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-04-11 23:12:17 UTC
Created attachment 155483 [details]
patch

Currently tor doesn't support ipfw(8) at all (for their TransPort).

I submitted the same patch to tor 2 years ago, but it looks like it got forgotten, and that bug was closed there. (Now I reopened it again)

I suggest to add this patch to the port patch-set until upstream finally catches up.

TorProject ticket for reference: https://trac.torproject.org/projects/tor/ticket/10267
Comment 1 Yuri Victorovich freebsd_committer 2015-04-13 00:34:37 UTC
This is the project I need this patch for: https://github.com/yurivict/freebsd-vbox-to-tor
I would like to create the port for vbox-to-tor, but this bug in tor is stopping it.
Comment 2 Yuri Victorovich freebsd_committer 2015-05-04 19:25:17 UTC
It turns out that they applied the updated patch, that tor app still breaks with the same message, and old patch still applies, but "TransProxyType ipfw" makes it work.

Closing this now.

Thanks.